FVWMDEBUG(1)

NAME
FvwmDebug - the FVWM module debugger

SYNOPSIS
FvwmDebug should be spawned by fvwm(1) for normal functionality.

To run this module, place this command somewhere in the configuration:

  Module FvwmDebug
To stop this module, execute:

  KillModule FvwmDebug

DESCRIPTION
This module dumps all fvwm event information into standard error stream for debugging purposes.

INVOCATION
There are several command line switches:

FvwmDebug [ --noargs ] [ --log file ] [ --mask mask ] [ --xmask mask ] [ --send-configinfo ] [ --send-windowlist ]

Long switches may be abbreviated to shorter switches.

-n|--noargs - do not print all event arguments, just event name. --args is the default.

-l|--log file - specify the log file name instead of the standard error stream. If the log file can't be open for writting, the default standard error stream is used.

-m|--mask mask - set the module mask

-x|--xmask mask - set the module extended mask

-sc|--send-configinfo - send Send_ConfigInfo command to fvwm on startup, this results in a lot of events received.

-sw|--send-windowlist - send Send_WindowList command to fvwm on startup, this results in a lot of events received.

SEE ALSO
See the FvwmGtkDebug manpage.

AUTHOR
Mikhael Goikhman <migo@homemail.com>.